xmonad-contrib (0.15-1build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Aug 2019 16:34:33 +0200

xmonad-contrib (0.15-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 29 Jul 2019 16:52:47 -0400

xmonad-contrib (0.14-2) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:40 +0300

xmonad-contrib (0.14-1) unstable; urgency=medium

  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 29 Sep 2018 19:40:22 +0300

xmonad-contrib (0.13-3) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * Patch to build with newer X11.

 -- Clint Adams <clint@debian.org>  Thu, 07 Jun 2018 19:23:24 -0400

xmonad-contrib (0.13-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:13 -0400

xmonad-contrib (0.13-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 05 Jul 2017 22:20:40 -0400

xmonad-contrib (0.12-4) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Remove Per Olofsson from the Uploaders list per request of
    the MIA team (Closes: #847162).

  [ Gianfranco Costamagna ]
  * Team upload.
  * debian/patches/a681e6860295089f66210f93ff2db3a5047f59b5.patch:
    - fix build with newer ghc

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Tue, 06 Dec 2016 16:38:45 +0200

xmonad-contrib (0.12-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:24 -0400

xmonad-contrib (0.12-2) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 20:31:08 -0400

xmonad-contrib (0.12-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 11 Jan 2016 00:27:24 -0500

xmonad-contrib (0.11.4-3) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:23 -0500

xmonad-contrib (0.11.4-2) experimental; urgency=medium

  * Depend on old-{locale,time}
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:15 +0200

xmonad-contrib (0.11.4-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 15 Aug 2015 11:07:00 +0200

xmonad-contrib (0.11.3-4) unstable; urgency=medium

  * Add patch gnome-dbus-send-fix.patch: Fix invalid syntax when calling
    dbus-send in XMonad.Config.Gnome. Closes: #780463.
  * Add myself to uploaders.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Per Olofsson <pelle@debian.org>  Sat, 05 Sep 2015 11:39:38 +0200

xmonad-contrib (0.11.3-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:56:08 +0200

xmonad-contrib (0.11.3-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:13:02 +0100

xmonad-contrib (0.11.3-1) unstable; urgency=medium

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 01 Jun 2014 13:46:16 -0400

xmonad-contrib (0.11.2-1) unstable; urgency=high

  * New upstream release
    + Escapes dzen markup and remove xmobar tags from window titles by
      default. Fixes possible malicous code execution. Thanks to Raúl Benencia
      for noticing and Adam Vogt for fixing. CVE-2013-1436

 -- Joachim Breitner <nomeata@debian.org>  Thu, 25 Jul 2013 21:06:27 +0200

xmonad-contrib (0.11.1-1) unstable; urgency=low

  * Enable compat level 9
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 10:55:08 +0200

xmonad-contrib (0.11-1) experimental; urgency=low

  * Change VCS fields back to regular
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 01 Jan 2013 16:35:33 +0100

xmonad-contrib (0.10.1~darcs20120707-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:02:41 +0200

xmonad-contrib (0.10.1~darcs20120707-1) experimental; urgency=low

  * New upstream release, darcs snapshot of 0.10.1, which doesn't have an
    upstream tarball yet.
    + Allow the use of xmonad 0.10.1 as a Build-Depends
  * We now need haskell-x11 >= 1.6 and << 1.7
  * Upload to experimental because it requires haskell-x11 >= 1.6, which is in
    experimental
  * Update Vcs-* to point to experimental
  * Added a DEP-3 header to use-x-www-browser.patch
  * Bump stardards version to 3.9.3
  * Add myself to Uploaders

 -- Ryan Kavanagh <rak@debian.org>  Sat, 07 Jul 2012 12:10:31 -0400

xmonad-contrib (0.10-3) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Joachim Breitner <nomeata@debian.org>  Fri, 10 Feb 2012 23:16:12 +0100

xmonad-contrib (0.10-2) unstable; urgency=low

  * Upload to unstable, Haskell transtition timer has been reset by another
    upload anyways.

 -- Joachim Breitner <nomeata@debian.org>  Thu, 01 Dec 2011 23:53:45 +0100

xmonad-contrib (0.10-1) experimental; urgency=low

  [ Erik de Castro Lopo ]
  * New upstream.
  * debian/control:
    - Fix version of build-dep on xmonad.
    - Standards version 3.9.2 (no changes).
    - Lintian fixes.
  * debian/copyright: Replace link to BSD3 liecnse in /usr/share/ with actual
    license from source distro. Update list of per file copyrigt holders.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 28 Nov 2011 21:27:32 +0100

xmonad-contrib (0.9.2-2) unstable; urgency=low

  * Adjust packaging copyright.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 09 Apr 2011 11:12:35 +0530

xmonad-contrib (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Rename ghc6 → ghc
  * Adopt by Debian Haskell Group
  * Re-add dependency on utf8-string
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Tue, 05 Apr 2011 22:03:24 +0530

xmonad-contrib (0.9.1-1) unstable; urgency=low

  * New upstream release (Closes: #569921)
  * Change priority to extra
  * Switch to 3.0 (quilt)
  * Adjust dependency versions
  * Drop dependency on bundled utf8-string
  * Use haskell substvars
  * Use newer and better watchfile
  * Set x-www-browser as default browser (Closes: #553330)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 17 Feb 2010 21:21:40 +0100

xmonad-contrib (0.9-1) unstable; urgency=low

  * New upstream release
    Please read http://haskell.org/haskellwiki/Xmonad/Notable_changes_since_0.8
  * Bump standards version, change sections.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 26 Oct 2009 18:19:57 +0100

xmonad-contrib (0.8.1-3) unstable; urgency=low

  * Enable XFT support
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 29 Mar 2009 20:29:33 +0200

xmonad-contrib (0.8.1-2) unstable; urgency=low

  * Rebuilt with ghc6 with arch-independent .haddock and .hi files
    (Closes: #517628)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 01 Mar 2009 17:33:02 +0100

xmonad-contrib (0.8.1-1) unstable; urgency=low

  * New upstream release (no changes, only ghc-6.10 compatibility)
  * Added debian/watch
  * Use kaol’s cdbs script in haskell-devscripts
  * Updated copyright file

 -- Joachim Breitner <nomeata@debian.org>  Thu, 26 Feb 2009 17:46:09 +0100

xmonad-contrib (0.8-5) unstable; urgency=low

  * Update build-depends (newer haskell-utf8-string)
    (Closes: #512062)
    New versions are going to be uploaded to experimental, so watch out.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 18 Jan 2009 22:57:43 +0100

xmonad-contrib (0.8-4) unstable; urgency=low

  * Update build-depends (newer haskell-utf8-string)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 14 Jan 2009 21:10:35 +0100

xmonad-contrib (0.8-3) unstable; urgency=low

  * Update build-depends (Closes: #510290)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 31 Dec 2008 15:45:00 +0100

xmonad-contrib (0.8-2) unstable; urgency=low

  * Enable UTF-8 support (Closes: #500833)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 02 Oct 2008 11:25:41 +0200

xmonad-contrib (0.8-1) unstable; urgency=low

  * New upstream release
  * Update standards version to 3.8.0, no change

 -- Joachim Breitner <nomeata@debian.org>  Sat, 06 Sep 2008 11:50:34 +0200

xmonad-contrib (0.7-2) unstable; urgency=low

  * Build against the new haskell-x11 with xinerama support
  * Add Homepage: field

 -- Joachim Breitner <nomeata@debian.org>  Thu, 03 Jul 2008 17:29:41 +0200

xmonad-contrib (0.7-1) unstable; urgency=low

  * New upstream release
  * Remove VCS headers, darcs failed on me

 -- Joachim Breitner <nomeata@debian.org>  Sun, 30 Mar 2008 23:21:00 +0200

xmonad-contrib (0.6-4) unstable; urgency=low

  * Update build-depends

 -- Joachim Breitner <nomeata@debian.org>  Thu, 06 Mar 2008 19:41:40 +0100

xmonad-contrib (0.6-3) unstable; urgency=low

  * Start to use update-haskell-control for tighter dependencies

 -- Joachim Breitner <nomeata@debian.org>  Wed, 05 Mar 2008 14:30:03 +0100

xmonad-contrib (0.6-2) unstable; urgency=low

  * Fix versioned dependency on libghc6-x11-dev (instead libx11-dev)
    (Closes: 465230)
  * Update copyright file

 -- Joachim Breitner <nomeata@debian.org>  Mon, 11 Feb 2008 16:39:49 +0100

xmonad-contrib (0.6-1) unstable; urgency=low

  * Upload to debian
  * Depends on the haskell-x11 version that was NMU’ed and uploaded to 7-days
    delayed, if anyone is wondering.
  * Replaces xmonadcontrib

 -- Joachim Breitner <nomeata@debian.org>  Mon, 04 Feb 2008 18:15:20 +0100

xmonad-contrib (0.6-0.nomeata1) UNRELEASED; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 28 Jan 2008 23:29:16 +0100

xmonad-contrib (0.5-0.nomeata2) UNRELEASED; urgency=low

  * Build against ghc6.8

 -- Joachim Breitner <nomeata@debian.org>  Thu, 17 Jan 2008 00:31:56 +0100

xmonad-contrib (0.5-0.nomeata1) UNRELEASED; urgency=low

  * Beta package of xmonad 0.5
  * Changed source name to fit upstream naming

 -- Joachim Breitner <nomeata@debian.org>  Tue, 25 Dec 2007 16:34:06 +0100

xmonadcontrib (0.4-2) unstable; urgency=low

  * add upstream url to copyright

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Oct 2007 18:42:35 +0100

xmonadcontrib (0.4-1) unstable; urgency=low

  * Initial release (Closes: #447967)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 28 Oct 2007 13:00:08 +0100
